Public Member Functions | List of all members
clan::Resource< Type > Class Template Reference
clanCore Resources

Resource proxy of a specific type. More...

`#include <resource.h>`

## Public Member Functions
| Resource ()
| Resource (std::shared_ptr< Resource_Impl< Type > > object)
| Resource (const Type &initial_value)
Type & | get ()
const Type & | get () const
const std::shared_ptr< Resource_Impl< Type > > & | handle () const
| operator const Type & () const
| operator Type & ()
bool | operator!= (const Resource &other) const
Type * | operator-> ()
const Type * | operator-> () const
bool | operator< (const Resource &other) const
bool | operator<= (const Resource &other) const
bool | operator== (const Resource &other) const
bool | operator> (const Resource &other) const
bool | operator>= (const Resource &other) const
void | set (const Type &value)
bool | updated ()

## Detailed Description

### template<typename Type>
class clan::Resource< Type >

Resource proxy of a specific type.

The documentation for this class was generated from the following file:

- resource.h